Subject: Re: problems when pushing to a master repository

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 22 Dec 2005 08:56:03 -0200

Em Qui, 2005-12-22 às 08:18 -0200, Mauro Carvalho Chehab escreveu:
> 	I've started working recently with git, and I'm suffering problems to
> update a master repository. Sometimes, git refuses to update a master
> repository:
> 
> git push
> ssh://master.kernel.org/pub/scm/linux/kernel/git/mchehab/v4l-dvb.git
> master
> error: src refspec master matches more than one.
> fatal: unexpected EOF
> 
> 	Even removing the branch, git-prune and reimporting doesn't work. I
> have to reimport the tree from master repository.
> 
> 	Any sugestions?
	I found the problem. git created a refs/bases dir, with old references
with the same names. Removing it fixed the problem.

Cheers,
Mauro.